RUNESTRCAT(3)

NAME
runestrcat, runestrncat, runestrcmp, runestrncmp, runestrcpy, runestrncpy, runestrecpy, runestrlen, runestrchr, runestrrchr, runestrdup, runestrstr - rune string operations

SYNOPSIS
#include <utf.h>

Rune*    runestrcat(Rune *s1, Rune *s2)

Rune*    runestrncat(Rune *s1, Rune *s2, long n)

int    runestrcmp(Rune *s1, Rune *s2)

int    runestrncmp(Rune *s1, Rune *s2, long n)

Rune*    runestrcpy(Rune *s1, Rune *s2)

Rune*    runestrncpy(Rune *s1, Rune *s2, long n)

Rune*    runestrecpy(Rune *s1, Rune *es1, Rune *s2)

long    runestrlen(Rune *s)

Rune*    runestrchr(Rune *s, Rune c)

Rune*    runestrrchr(Rune *s, Rune c)

Rune*    runestrdup(Rune *s)

Rune*    runestrstr(Rune *s1, Rune *s2)

DESCRIPTION
These functions are rune string analogues of the corresponding functions in strcat(3).

HISTORY
These routines first appeared in Plan 9.

SEE ALSO
memmove(3), rune(3), strcat(2)

BUGS
The outcome of overlapping moves varies among implementations.